# Community Guidelines

## Contributing to `psymple`

There are many ways you can be involved in contributing to the development and maintenance of `psymple`. 

- Use the [issues](https://github.com/casasglobal-org/psymple/issues) page to get help with issues, errors, or submit bug reports.
- Help to edit and maintain the [documentation](https://casasglobal-org.github.io/psymple/) using issues or [pull requests](https://github.com/casasglobal-org/psymple/pulls).
- Develop new features, examples, documentation or bug fixes by creating pull requests.
- Get involved by helping to review open issues and pull requests.
- Report something you've done using `psymple`, discuss any big ideas, or simply let us know what you think using our [discussion board](https://github.com/casasglobal-org/psymple/discussions).

!!! tip "Credit where it is due"

    Anyone who makes consistent and positive contributions, either directly or indirectly, will be offered an entry on our [Development Team](development_team.md) page.

## Automated testing

`psymple` includes automated testing of its features. More information on how to view tests, run tests, or contribute new tests can be found on the [testing `psymple` page](testing_psymple.md).

## Code of conduct

`psymple` is an open-source project which we aim to turn into a community-driven modelling platform. We welcome anyone from all backgrounds and expertise levels to get involved with `psymple` to create a diverse, welcoming and productive space. We expect anyone contributing to our community to help us do this by following the following simple guidelines:

1. **Open by default**. As an open-source and open-access project, we also implement an open-by-default approach to questions, issues, discussions and contributions to promote productivity, efficiency and accuracy.
2. **Collaborative by nature**. The best solutions are found by engaging with those outside of your usual circles and comfort zone. We ask that you both listen to, and engage with, people with different backgrounds or views to your own to come up with the best outcomes.
3. **Think big and small**. This project has big ambitions to create impact for as many people as possible, but this requires both an eye for detail for components that make up this project. We ask that every change or addition to the codebase is done with both an eye for excellence and with a holistic view of the whole.
4. **Respect for all**. People will all levels of experience and knowledge use this project. Treat everyone with respect, empathy and sympathy, and assume that everyone has good intentions. Do not shy away from being critical, but back up everything with evidence, and never make it personal.

!!! failure "We will never tolerate:"

    - Violent threats or language directed against another person.
    - Sexist, racist, or otherwise discriminatory jokes, insults, material and language.
    - Posting (or threatening to post) other people’s personally identifying information (“doxing”).
    - Sharing private content, such as emails sent privately or non-publicly, or unlogged forums, such as IRC channel history, without the sender’s consent.
    - Excessive profanity. In the context of modelling, there may be examples dealing with profane or sensitive content. This is never a reason to use associated language out of context. Never use swear words.
    - Repeated harassment of others. For the avoidance of doubt, if someone asks you to stop, then stop.
    - Advocating for, or encouraging, any of the above behaviour.
