# Development team

`psymple` has been developed using a broad range of expertise and contributions. This page recognises all consistent and positive contributions, both directly to the codebase and indirectly to the scope, direction and suitability of the package. 

## Core governance and steering team

This is the current team who maintain a collective responsibility for the development, maintenance and direction of `psymple`, in alphabetical order of surname.

| Name | Organisation(s) | Contribution(s) | Years active |
| -------------------- | -------------------- | -------------------- | ------ |
| [Chiara Facciolà](https://github.com/fagiothree) | Mathematical Scientist, [IDEMS International](https://www.idems.international/) | <ul><li>Applied mathematical modelling</li><li>Examples of complex systems modelling</li></ul>  | 2024 + |
| [Andrew Gutierrez](https://github.com/AndrewPGutierrez) | <ul><li>Professor Emeritus of Ecosystem Science, [UC Berkeley](https://www.berkeley.edu/)</li><li>CEO, [CASAS Global](https://casasglobal.org/)</li></ul>  | Biological and ecosystem modelling | 2023 + |
| [Georg Osang](https://github.com/geoo89) | Postdoctoral Impact Activation Fellow, [IDEMS International](https://www.idems.international/) | Code developer and maintainer | 2023 + |
| [Luigi Ponti](https://github.com/luisponti) | <ul><li>Research scientist, [ENEA](https://www.enea.it/en/)</li><li>Research fellow, [CASAS Global](https://casasglobal.org/)</li></ul> | <ul><li>Biological and ecosystem modelling</li><li>Github structures and management</li></ul> | 2023 + |
| [George Simmons](https://github.com/GJHSimmons) | Postdoctoral Impact Activation Fellow, [IDEMS International](https://www.idems.international/) | <ul><li>Code developer and maintainer</li><li>Applied category theory and collaborative modelling</li><li>Github structures and management</li></ul> | 2023 + |
| [David Stern](https://github.com/volloholic) | Director, [IDEMS International](https://www.idems.international/) | <ul><li>Applied category theory and collaborative modelling</li><li>Scalability and impact</li></ul> | 2023 + |


## Development and maintenance team

!!! info

    Anyone who contributes consistently and positively to `psymple` will be offered a place here: see our [Community Guidelines](community_guidelines.md) for more information.

- [Georg Osang](https://github.com/geoo89) - Code developer and maintainer
- [Luigi Ponti](https://github.com/luisponti) - Github structures and management
- [George Simmons](https://github.com/GJHSimmons) - Code developer and maintainer

