# Examples

This page contains examples which go through the process of defining, parametrising and simulation systems in `psymple`. 

It is recommended to go through these examples after covering, or with reference to, the material in the [user guide](../components/functional_ported_objects.md), which has a bigger focus on the syntax and best practices of using `psymple`. Some of the examples covered in the user guide are covered here, and vice-versa. 

These examples are arranged roughly in order of difficulty and complexity, with the later examples also providing less commentary on the implementation.

<div class="grid cards" markdown>

-   :material-roman-numeral-1:{ .lg .middle } __Population dynamics__

    ---

    Population dynamics models, including exponential growth, the logistic equation, and predator-prey models.

    [:octicons-arrow-right-24: Get started](./population_dynamics/index.md)

-   :material-roman-numeral-2:{ .lg .middle } __Mixing problems__

    ---

    Mixing of solutions in a single tank or across any number of tanks.

    [:octicons-arrow-right-24: Get started](./mixing_problems/index.md)

-   :material-roman-numeral-3:{ .lg .middle } __Second-order systems__

    ---

    How to simulate complex second-order or higher-order systems.

    [:octicons-arrow-right-24: Get started](./second_order_odes/index.md)

</div>
