# Mixing problems

These examples show how to model _mixing problems_ in `psymple`. A mixing problem seeks to understand the evolution of a quantity of solvent in a solute, for example a chemical being mixed in a tank of water. These problems can be highly varied, for example solution can enter a tank at variable concentration or rate, or leave the tank at variable rate. Alternatively, several tanks can be connected together, with their solutions being pumped into each other.

These examples first consider the problem for a single tank, and then the problem for many arbitrarily linked tanks. 

In all examples, the core assumption is that tanks are _well-mixed_, that is, the concentration of the solute is the same throughout the tank at any moment in time.

<div class="grid cards" markdown>

-   :material-roman-numeral-1:{ .lg .middle } __Single tank__

    ---

    Modelling concentrations in a single tank.

    [:octicons-arrow-right-24: Get started](single_tank.md)

-   :material-roman-numeral-2:{ .lg .middle } __Multiple tanks__

    ---

    Modelling concentrations in multiple tanks with arbitrary links.

    [:octicons-arrow-right-24: Get started](multiple_tanks.md)

</div>

