# Population modelling

Population modelling is a tool for analysing complex systems in epidemiology, agriculture, ecology and beyond. Models driven by differential equations are able to help in predicting the behaviour of these systems, which may exhibit complex interactions, feedback loops, and sensitivity to initial conditions. 

This set of tutorials covers basic examples on how to use `psymple` to model populations and interactions between them. They are arranged roughly in order of complexity, with some examples following on from previous ones. Earlier examples often contain more comments on the implementation choices than later ones.

<div class="grid cards" markdown>

-   :material-roman-numeral-1:{ .lg .middle } __Malthusian growth__

    ---

    The most basic model for a population undergoing exponential growth.

    [:octicons-arrow-right-24: Get started](malthusian_population.md)

-   :material-roman-numeral-2:{ .lg .middle } __Logistic growth__

    ---

    A model which limits the exponential growth of Malthusian populations.

    [:octicons-arrow-right-24: Get started](logistic_growth.md)

-   :material-roman-numeral-3:{ .lg .middle } __Predator-prey dynamics__

    ---

    A model which captures the two-way interactions between two species.

    [:octicons-arrow-right-24: Get started](predator_prey.md)

</div>