# Second-order ODE systems

Since any second-order (or higher-order) ODE can be written as a system of first-order ODEs, `psymple` can be used to simulate complex composite differential equation systems of any order.

This collection of examples covers dynamics such as projectile motion and motion under gravity, where the position of an object is specified by second-order equations for its acceleration.

<div class="grid cards" markdown>

-   :material-roman-numeral-1:{ .lg .middle } __Projectile motion__

    ---

    The motion of an object acting under multiple forces.

    [:octicons-arrow-right-24: Get started](projectile_motion.md)

-   :material-roman-numeral-2:{ .lg .middle } __The three body problem__

    ---

    A classical problem in celestial mechanics. 

    [:octicons-arrow-right-24: Get started](three_body_problem.md)

</div>